import 'package:app_business/service/abase.dart';
import 'package:app_business/service/all_init.dart' as a;
import 'package:app_business/service/api.dart';
import 'package:track_common/track_common.dart';
import 'package:track_common/view.dart';

class InitControllerImp extends InitController {
  @override
  Future<void> allInit() async {
    return a.allInit();
  }

  @override
  Future<bool> isNeedLogin() async {
    try {
      await Get.find<ApiService>().getMapList(1, 0);
      return false;
    } catch (e) {
      debug(e);
    }

    return true;
  }
}
